require_relative 'shell_command.rb'
require_relative 'executor.rb'
require_relative 'migration_helper.rb'
require_relative 'configuration.rb'
require_relative 'commands/percona_error.rb'
require_relative 'commands/percona_command.rb'
require_relative 'commands/percona_confirmer.rb'

module WTOSC
  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield(configuration) if block_given?
  end
end
